<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFrameworks>net7.0;net8.0;net9.0</TargetFrameworks>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
	  <!-- NuGet Package Metadata -->
	  <PackageId>DigitalData.Core.Exceptions.Middleware</PackageId>
	  <Authors>Digital Data GmbH</Authors>
	  <Company>Digital Data GmbH</Company>
	  <Product>DigitalData.Core.Exceptions.Middleware</Product>
      <Description>Provides middleware components for standardized exception handling and error response formatting in ASP.NET Core applications.</Description>
	  <PackageTags>digital data core exceptions middleware</PackageTags>
	  <GeneratePackageOnBuild>True</GeneratePackageOnBuild>
	  <Copyright>Copyright 2025</Copyright>
	  <PackageProjectUrl></PackageProjectUrl>
	  <RepositoryUrl>http://git.dd:3000/AppStd/WebCoreModules.git</RepositoryUrl>
	  <PackAsTool>False</PackAsTool>
	  <PackageIcon>core_icon.png</PackageIcon>
	  <Version>1.0.0</Version>
	  <AssemblyVersion>1.0.0</AssemblyVersion>
	  <FileVersion>1.0.0</FileVersion>
  </PropertyGroup>

  <ItemGroup>
	  <None Include="..\Assets\core_icon.png">
		  <Pack>True</Pack>
		  <PackagePath>\</PackagePath>
	  </None>
  </ItemGroup>

  <ItemGroup Condition="'$(TargetFramework)' == 'net7.0'">
    <PackageReference Include="Microsoft.Extensions.Options" Version="7.0.1" />
  </ItemGroup>
  <ItemGroup Condition="'$(TargetFramework)' == 'net8.0'">
	<PackageReference Include="Microsoft.Extensions.Options" Version="8.0.2" />
  </ItemGroup>
  <ItemGroup Condition="'$(TargetFramework)' == 'net9.0'">
	<PackageReference Include="Microsoft.Extensions.Options" Version="9.0.5" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\DigitalData.Core.Exceptions\DigitalData.Core.Exceptions.csproj" />
  </ItemGroup>

</Project>
